Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface PeriodDuration

All Superinterfaces:
  Duration

    @UML(identifier="TM_PeriodDuration",
         specification=ISO_19108)
    public interface PeriodDuration

extends Duration

Uses the format specified by ISO 8601 for exchanging information about the duration of a period.

TODO:
  Uses Java 1.5 `Duration`.

Method Summary
`InternationalString` | `getDays()` A positive integer, followed by the character "D", which indicated the number of days in the period.
`InternationalString` | `getDesignator()` A mandatory element which designates that the returned string represents the duration of a period.
`InternationalString` | `getHours()` A positive integer, followed by the character "H", which indicated the number of hours in the period.
`InternationalString` | `getMinutes()` A positive integer, followed by the character "M", which indicated the number of minutes in the period.
`InternationalString` | `getMonths()` A positive integer, followed by the character "M", which indicated the number of months in the period.
`InternationalString` | `getSeconds()` A positive integer, followed by the character "S", which indicated the number of seconds in the period.
`InternationalString` | `getTimeIndicator()` Included whenever the sequence includes values for units less than a day.
`InternationalString` | `getYears()` A positive integer, followed by the character "Y", which indicated the number of years in the period.

Method Detail

### getDesignator

    @UML(identifier="designator",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getDesignator()

  A mandatory element which designates that the returned string represents the duration of a period.

### getYears

    @UML(identifier="years",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getYears()

  A positive integer, followed by the character "Y", which indicated the number of years in the period.

### getMonths

    @UML(identifier="months",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getMonths()

  A positive integer, followed by the character "M", which indicated the number of months in the period.

### getDays

    @UML(identifier="days",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getDays()

  A positive integer, followed by the character "D", which indicated the number of days in the period.

### getTimeIndicator

    @UML(identifier="timeIndicator",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getTimeIndicator()

  Included whenever the sequence includes values for units less than a day.

### getHours

    @UML(identifier="hours",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getHours()

  A positive integer, followed by the character "H", which indicated the number of hours in the period.

### getMinutes

    @UML(identifier="minutes",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getMinutes()

  A positive integer, followed by the character "M", which indicated the number of minutes in the period.

### getSeconds

    @UML(identifier="seconds",
         obligation=OPTIONAL,
         specification=ISO_19108)
    InternationalString getSeconds()

  A positive integer, followed by the character "S", which indicated the number of seconds in the period.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.